GET /data/v1/metrics/{METRIC_ID}/insights
Operation ID: list-insights
Auth: unknown
Description
Returns a list of insights for a metric. These are the worst performing values across all breakdowns sorted by how much they negatively impact a specific metric.
Parameters (4)
(string, path, required)
ID of the Metric
Constraints: {'enum': ['aggregate_startup_time', 'downscale_percentage', 'exits_before_video_start', 'live_stream_latency', 'max_downscale_percentage', 'max_upscale_percentage', 'page_load_time', 'playback_failure_percentage', 'playback_failure_score', 'player_startup_time', 'playing_time', 'rebuffer_count', 'rebuffer_duration', 'rebuffer_frequency', 'rebuffer_percentage', 'rebuffer_score', 'requests_for_first_preroll', 'seek_latency', 'startup_time_score', 'unique_viewers', 'upscale_percentage', 'video_quality_score', 'video_startup_preroll_load_time', 'video_startup_preroll_request_time', 'video_startup_time', 'viewer_experience_score', 'views', 'weighted_average_bitrate', 'video_startup_failure_percentage']}
(string, query, optional)
Measurement for the provided metric. If omitted, the default for the metric will be used.
Constraints: {'enum': ['95th', 'median', 'avg', 'count', 'sum']}
(string, query, optional)
Sort order.
Constraints: {'enum': ['asc', 'desc']}
(array, query, optional)
Timeframe window to limit results by. Must be provided as an array query string parameter (e.g. timeframe[]=). Accepted formats are... * array of epoch timestamps e.g. `timeframe[]=1498867200&timeframe[]=1498953600` * duration string e.g. `timeframe[]=24:hours or timeframe[]=7:days`
No probe data for this endpoint yet.